org.licas.util

## Class MethodConst

- java.lang.Object
- - org.licas.util.MethodConst

-     public class MethodConst
      extends java.lang.Object

  Some constant values relating to method names.
  Author:
    Kieran Greer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADDDATAINFO` Defines add data info method
    `static java.lang.String` | `ADDDEFAULTSERVICE` Defines add default service method
    `static java.lang.String` | `ADDDYNAMICLINK` Defines add dynamic link method
    `static java.lang.String` | `ADDDYNAMICLINKS` Defines add dynamic links method
    `static java.lang.String` | `ADDLINKFROMSERVICE` Defines add link from service method
    `static java.lang.String` | `ADDMESSAGEPACKET` Defines add message packet method
    `static java.lang.String` | `ADDOBJECT` Defines add object method
    `static java.lang.String` | `ADDPACKETCOMMUNICATIONID` Defines add id for packet communication method
    `static java.lang.String` | `ADDPARSER` Defines add parser method
    `static java.lang.String` | `ADDROOTNODE` Defines add root node method
    `static java.lang.String` | `ADDSERVICE` Defines add service method
    `static java.lang.String` | `ADDSERVICEASSOCIATION` Defines add service association method
    `static java.lang.String` | `ADDSERVICEMETA` Defines add service meta method
    `static java.lang.String` | `ALLOWADDSERVICE` Defines set allow/block add service method
    `static java.lang.String` | `AUTOMANMETRICS` Defines get server metrics method
    `static java.lang.String` | `BLOCKSERVICE` Defines block a service method
    `static java.lang.String` | `CALCULATEROOTNODES` Defines calculate root nodes method
    `static java.lang.String` | `CANACCESS` Defines can access the service method
    `static java.lang.String` | `CANACCESSMETA` Defines can access the service metadata method
    `static java.lang.String` | `CANACCESSNESTED` Defines can access the nested service method
    `static java.lang.String` | `CANRUN` Defines check if thread can be run
    `static java.lang.String` | `CHANGELENTMEMORY` Defines change lent memory method
    `static java.lang.String` | `CLEARNETWORK` Defines clear network method
    `static java.lang.String` | `CONTACTINFO` Defines get server administrator contact address
    `static java.lang.String` | `CREATEPERMANENTLINKTO` Defines create permanent link to method
    `static java.lang.String` | `DATAFROMSERVICE` Defines generic module receive data method
    `static java.lang.String` | `DATATOSERVICE` Defines generic module send data method
    `static java.lang.String` | `DATAXMLBM` Defines send data to behaviour mediator method
    `static java.lang.String` | `DATAXMLDH` Defines send data to data hub method
    `static java.lang.String` | `DOEVALUATE` Invoke a single evaluation of the service
    `static java.lang.String` | `DYNAMICLINKSTOPERMANENT` Defines change dynamic links to permanent ones method
    `static java.lang.String` | `DYNAMICLINKSTOXML` Defines convert dynamic links to xml method
    `static java.lang.String` | `ENDOFMESSAGE` Defines add message packet method
    `static java.lang.String` | `EXECUTE` Defines execute method
    `static java.lang.String` | `EXECUTEQUERY` Defines execute query method
    `static java.lang.String` | `EXECUTESERVICETYPE` Defines generic execute server service method
    `static java.lang.String` | `EXECUTESERVICETYPEASYNC` Defines generic execute server service asynchronous method
    `static java.lang.String` | `GET` HTTP Get method call
    `static java.lang.String` | `GETALLOWADDSERVICE` Defines get allow/block add service method
    `static java.lang.String` | `GETALLSERVICEMETA` Defines get all service meta method
    `static java.lang.String` | `GETCURRENTCOUNT` Defines get current count method
    `static java.lang.String` | `GETCURRENTMEMORY` Defines get current memory method
    `static java.lang.String` | `GETDATA` Defines get service data method
    `static java.lang.String` | `GETFAULTSTREE` Defines get the faults tree method
    `static java.lang.String` | `GETFILE` Defines get file method
    `static java.lang.String` | `GETINFOELEMENT` Defines get info element method
    `static java.lang.String` | `GETJARFORSERVICE` Defines get jar file for service method
    `static java.lang.String` | `GETLINKSOURCES` Defines get linked sources method
    `static java.lang.String` | `GETPARENT` Defines get parent method
    `static java.lang.String` | `GETPASSWORD` Defines get password method
    `static java.lang.String` | `GETPUBLICMETHODS` Defines get public service methods
    `static java.lang.String` | `GETQUERYSTATS` Defines get query stats method
    `static java.lang.String` | `GETROOTNODES` Defines add root node method
    `static java.lang.String` | `GETSECUREMETHODS` Defines get secure service methods
    `static java.lang.String` | `GETSERVERDETAILS` Defines get local server details as XML method
    `static java.lang.String` | `GETSERVERSOA` Defines get local SOA network as XML method
    `static java.lang.String` | `GETSERVICEMETA` Defines get service meta method
    `static java.lang.String` | `GETSERVICEMETAPART` Defines get service meta method
    `static java.lang.String` | `GETSERVICENAMES` Defines get service names method
    `static java.lang.String` | `GETSERVICENUMBER` Defines get service number method
    `static java.lang.String` | `GETSERVICETYPES` Defines get service types method
    `static java.lang.String` | `GETSTATS` Defines get service meta method
    `static java.lang.String` | `GETVALUE` Defines get value method
    `static java.lang.String` | `HASESB` Defines check if ESB etc running OK method
    `static java.lang.String` | `HASJARFACTORY` Defines check if jar factory exists method
    `static java.lang.String` | `HASLINKTO` Defines has link to method
    `static java.lang.String` | `HASSERVICE` Defines check if service has other service loaded on it
    `static java.lang.String` | `HEAD` HTTP Header method section
    `static java.lang.String` | `INCREMENTUPDATEHITS` Defines increment update hits method
    `static java.lang.String` | `INVOKEBEHAVIOUR` Defines invoke behaviour method
    `static java.lang.String` | `ISPUBLICMETHOD` Defines is public service method
    `static java.lang.String` | `ISRUNNING` Defines check if server is running at specified address
    `static java.lang.String` | `ISSECUREMETHOD` Defines is secure service method
    `static java.lang.String` | `ISTARTED` Defines check if thread is running
    `static java.lang.String` | `LOADDATACONTENTS` Defines load data contents method
    `static java.lang.String` | `LOADDATADETAILS` Defines load data details method
    `static java.lang.String` | `LOADDATASCRIPT` Defines load data script method
    `static java.lang.String` | `LOADSERVERDETAILS` Defines load distributed server details from XML method
    `static java.lang.String` | `LOADSERVERSOA` Defines load local SOA network from XML method
    `static java.lang.String` | `LOADSERVICEFROMXML` Defines load service from XML admin script method
    `static java.lang.String` | `MEMORYTOLEND` Defines memory to lend method
    `static java.lang.String` | `MESSAGEREPLY` Defines message reply method
    `static java.lang.String` | `PERMANENTLINKSTOXML` Defines convert permanent links to xml method
    `static java.lang.String` | `POST` HTTP Post method call
    `static java.lang.String` | `PUBLISH` Defines publish to do work method
    `static java.lang.String` | `RELEASEMEMORY` Defines get release memory method
    `static java.lang.String` | `REMOVEALLLINKSTO` Defines remove all links to method
    `static java.lang.String` | `REMOVEALLSERVICES` Defines remove all services method
    `static java.lang.String` | `REMOVELINKFROMSERVICE` Defines remove link from service method
    `static java.lang.String` | `REMOVEPARSER` Defines remove parser method
    `static java.lang.String` | `REMOVEPERMANENTLINKTO` Defines create permanent link to method
    `static java.lang.String` | `REMOVEROOTNODE` Defines remove root node method
    `static java.lang.String` | `REMOVESERVICEASSOCIATION` Defines remove service association method
    `static java.lang.String` | `REMOVESERVICEID` Defines remove service using uuid method
    `static java.lang.String` | `REMOVESERVICEPATH` Defines remove service using service path method
    `static java.lang.String` | `RUN` Defines a run thread method
    `static java.lang.String` | `SAVEFILE` Defines save file method
    `static java.lang.String` | `SAVESERVICEJAR` Defines save service jar file method
    `static java.lang.String` | `SERVICETOXML` Defines serialize service into XML method
    `static java.lang.String` | `SETALLLINKTHRESHOLDS` Defines set all link threshold values method
    `static java.lang.String` | `SETCANACCESSMETA` Defines set can access service metadata method
    `static java.lang.String` | `SETCANACCESSNESTED` Defines set can access nested service method
    `static java.lang.String` | `SETDATA` Defines set the service data method
    `static java.lang.String` | `SETDESCRIPTION` Defines set description method
    `static java.lang.String` | `SETGENDATA` Set the data generator data
    `static java.lang.String` | `SETHTTPSERVER` Defines initialise the server exists method
    `static java.lang.String` | `SETPROCESSSCRIPT` Set the auto process script
    `static java.lang.String` | `SETSHUTDOWN` Defines a 'set the shutdown variable' method
    `static java.lang.String` | `SETTHRESHOLDS` Defines set threshold values method
    `static java.lang.String` | `SHUTDOWN` Defines a shutdown method
    `static java.lang.String` | `STARTALLTHREADS` Defines start all threads method
    `static java.lang.String` | `STARTTHREAD` Defines start one thread method
    `static java.lang.String` | `STOPALLTHREADS` Defines stop all threads method
    `static java.lang.String` | `SUBSCRIBE` Defines subscribe for service method
    `static java.lang.String` | `SYNCTOASYNC` Defines synchronous to asynchronous method execution
    `static java.lang.String` | `SYNCTOASYNCREPLY` Defines synchronous to asynchronous method reply
    `static java.lang.String` | `SYNCTOASYNCTRANSIT` Defines synchronous to asynchronous method in transit
    `static java.lang.String` | `UNBLOCKSERVICE` Defines unblock a service method
    `static java.lang.String` | `UNPUBLISH` Defines unpublish to do work method
    `static java.lang.String` | `UNSUBSCRIBE` Defines unsubscribe for service method
    `static java.lang.String` | `UPDATEDECREMENTWEIGHT` Defines update decrement weight method
    `static java.lang.String` | `UPDATEDYNAMICLINKS` Defines update dynamic links method
    `static java.lang.String` | `UPDATEINCREMENTWEIGHT` Defines update increment weight method
    `static java.lang.String` | `XMLTODYNAMICLINKS` Defines parse xml to dynamic links method
    `static java.lang.String` | `XMLTOSERVICE` Defines parse XML description back into service method

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodConst()` Creates a new instance of MethodConst

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SETHTTPSERVER

          public static final java.lang.String SETHTTPSERVER

      Defines initialise the server exists method
      See Also:
        Constant Field Values

    - #### ISRUNNING

          public static final java.lang.String ISRUNNING

      Defines check if server is running at specified address
      See Also:
        Constant Field Values

    - #### CONTACTINFO

          public static final java.lang.String CONTACTINFO

      Defines get server administrator contact address
      See Also:
        Constant Field Values

    - #### HASESB

          public static final java.lang.String HASESB

      Defines check if ESB etc running OK method
      See Also:
        Constant Field Values

    - #### HASSERVICE

          public static final java.lang.String HASSERVICE

      Defines check if service has other service loaded on it
      See Also:
        Constant Field Values

    - #### EXECUTE

          public static final java.lang.String EXECUTE

      Defines execute method
      See Also:
        Constant Field Values

    - #### CANACCESS

          public static final java.lang.String CANACCESS

      Defines can access the service method
      See Also:
        Constant Field Values

    - #### CANACCESSNESTED

          public static final java.lang.String CANACCESSNESTED

      Defines can access the nested service method
      See Also:
        Constant Field Values

    - #### CANACCESSMETA

          public static final java.lang.String CANACCESSMETA

      Defines can access the service metadata method
      See Also:
        Constant Field Values

    - #### ISSECUREMETHOD

          public static final java.lang.String ISSECUREMETHOD

      Defines is secure service method
      See Also:
        Constant Field Values

    - #### GETSECUREMETHODS

          public static final java.lang.String GETSECUREMETHODS

      Defines get secure service methods
      See Also:
        Constant Field Values

    - #### ISPUBLICMETHOD

          public static final java.lang.String ISPUBLICMETHOD

      Defines is public service method
      See Also:
        Constant Field Values

    - #### GETPUBLICMETHODS

          public static final java.lang.String GETPUBLICMETHODS

      Defines get public service methods
      See Also:
        Constant Field Values

    - #### EXECUTESERVICETYPE

          public static final java.lang.String EXECUTESERVICETYPE

      Defines generic execute server service method
      See Also:
        Constant Field Values

    - #### EXECUTESERVICETYPEASYNC

          public static final java.lang.String EXECUTESERVICETYPEASYNC

      Defines generic execute server service asynchronous method
      See Also:
        Constant Field Values

    - #### HASJARFACTORY

          public static final java.lang.String HASJARFACTORY

      Defines check if jar factory exists method
      See Also:
        Constant Field Values

    - #### GETSERVERSOA

          public static final java.lang.String GETSERVERSOA

      Defines get local SOA network as XML method
      See Also:
        Constant Field Values

    - #### LOADSERVERSOA

          public static final java.lang.String LOADSERVERSOA

      Defines load local SOA network from XML method
      See Also:
        Constant Field Values

    - #### LOADSERVICEFROMXML

          public static final java.lang.String LOADSERVICEFROMXML

      Defines load service from XML admin script method
      See Also:
        Constant Field Values

    - #### GETSERVERDETAILS

          public static final java.lang.String GETSERVERDETAILS

      Defines get local server details as XML method
      See Also:
        Constant Field Values

    - #### LOADSERVERDETAILS

          public static final java.lang.String LOADSERVERDETAILS

      Defines load distributed server details from XML method
      See Also:
        Constant Field Values

    - #### AUTOMANMETRICS

          public static final java.lang.String AUTOMANMETRICS

      Defines get server metrics method
      See Also:
        Constant Field Values

    - #### SERVICETOXML

          public static final java.lang.String SERVICETOXML

      Defines serialize service into XML method
      See Also:
        Constant Field Values

    - #### XMLTOSERVICE

          public static final java.lang.String XMLTOSERVICE

      Defines parse XML description back into service method
      See Also:
        Constant Field Values

    - #### ADDDATAINFO

          public static final java.lang.String ADDDATAINFO

      Defines add data info method
      See Also:
        Constant Field Values

    - #### CLEARNETWORK

          public static final java.lang.String CLEARNETWORK

      Defines clear network method
      See Also:
        Constant Field Values

    - #### BLOCKSERVICE

          public static final java.lang.String BLOCKSERVICE

      Defines block a service method
      See Also:
        Constant Field Values

    - #### UNBLOCKSERVICE

          public static final java.lang.String UNBLOCKSERVICE

      Defines unblock a service method
      See Also:
        Constant Field Values

    - #### REMOVEALLSERVICES

          public static final java.lang.String REMOVEALLSERVICES

      Defines remove all services method
      See Also:
        Constant Field Values

    - #### DATATOSERVICE

          public static final java.lang.String DATATOSERVICE

      Defines generic module send data method
      See Also:
        Constant Field Values

    - #### DATAFROMSERVICE

          public static final java.lang.String DATAFROMSERVICE

      Defines generic module receive data method
      See Also:
        Constant Field Values

    - #### SUBSCRIBE

          public static final java.lang.String SUBSCRIBE

      Defines subscribe for service method
      See Also:
        Constant Field Values

    - #### UNSUBSCRIBE

          public static final java.lang.String UNSUBSCRIBE

      Defines unsubscribe for service method
      See Also:
        Constant Field Values

    - #### PUBLISH

          public static final java.lang.String PUBLISH

      Defines publish to do work method
      See Also:
        Constant Field Values

    - #### UNPUBLISH

          public static final java.lang.String UNPUBLISH

      Defines unpublish to do work method
      See Also:
        Constant Field Values

    - #### EXECUTEQUERY

          public static final java.lang.String EXECUTEQUERY

      Defines execute query method
      See Also:
        Constant Field Values

    - #### GETQUERYSTATS

          public static final java.lang.String GETQUERYSTATS

      Defines get query stats method
      See Also:
        Constant Field Values

    - #### RUN

          public static final java.lang.String RUN

      Defines a run thread method
      See Also:
        Constant Field Values

    - #### ISTARTED

          public static final java.lang.String ISTARTED

      Defines check if thread is running
      See Also:
        Constant Field Values

    - #### CANRUN

          public static final java.lang.String CANRUN

      Defines check if thread can be run
      See Also:
        Constant Field Values

    - #### STARTTHREAD

          public static final java.lang.String STARTTHREAD

      Defines start one thread method
      See Also:
        Constant Field Values

    - #### ALLOWADDSERVICE

          public static final java.lang.String ALLOWADDSERVICE

      Defines set allow/block add service method
      See Also:
        Constant Field Values

    - #### GETALLOWADDSERVICE

          public static final java.lang.String GETALLOWADDSERVICE

      Defines get allow/block add service method
      See Also:
        Constant Field Values

    - #### STARTALLTHREADS

          public static final java.lang.String STARTALLTHREADS

      Defines start all threads method
      See Also:
        Constant Field Values

    - #### STOPALLTHREADS

          public static final java.lang.String STOPALLTHREADS

      Defines stop all threads method
      See Also:
        Constant Field Values

    - #### SETSHUTDOWN

          public static final java.lang.String SETSHUTDOWN

      Defines a 'set the shutdown variable' method
      See Also:
        Constant Field Values

    - #### SHUTDOWN

          public static final java.lang.String SHUTDOWN

      Defines a shutdown method
      See Also:
        Constant Field Values

    - #### SYNCTOASYNC

          public static final java.lang.String SYNCTOASYNC

      Defines synchronous to asynchronous method execution
      See Also:
        Constant Field Values

    - #### SYNCTOASYNCREPLY

          public static final java.lang.String SYNCTOASYNCREPLY

      Defines synchronous to asynchronous method reply
      See Also:
        Constant Field Values

    - #### SYNCTOASYNCTRANSIT

          public static final java.lang.String SYNCTOASYNCTRANSIT

      Defines synchronous to asynchronous method in transit
      See Also:
        Constant Field Values

    - #### MESSAGEREPLY

          public static final java.lang.String MESSAGEREPLY

      Defines message reply method
      See Also:
        Constant Field Values

    - #### ADDDEFAULTSERVICE

          public static final java.lang.String ADDDEFAULTSERVICE

      Defines add default service method
      See Also:
        Constant Field Values

    - #### GETFAULTSTREE

          public static final java.lang.String GETFAULTSTREE

      Defines get the faults tree method
      See Also:
        Constant Field Values

    - #### ADDSERVICE

          public static final java.lang.String ADDSERVICE

      Defines add service method
      See Also:
        Constant Field Values

    - #### REMOVESERVICEID

          public static final java.lang.String REMOVESERVICEID

      Defines remove service using uuid method
      See Also:
        Constant Field Values

    - #### REMOVESERVICEPATH

          public static final java.lang.String REMOVESERVICEPATH

      Defines remove service using service path method
      See Also:
        Constant Field Values

    - #### SETDESCRIPTION

          public static final java.lang.String SETDESCRIPTION

      Defines set description method
      See Also:
        Constant Field Values

    - #### SETCANACCESSNESTED

          public static final java.lang.String SETCANACCESSNESTED

      Defines set can access nested service method
      See Also:
        Constant Field Values

    - #### SETCANACCESSMETA

          public static final java.lang.String SETCANACCESSMETA

      Defines set can access service metadata method
      See Also:
        Constant Field Values

    - #### CALCULATEROOTNODES

          public static final java.lang.String CALCULATEROOTNODES

      Defines calculate root nodes method
      See Also:
        Constant Field Values

    - #### INVOKEBEHAVIOUR

          public static final java.lang.String INVOKEBEHAVIOUR

      Defines invoke behaviour method
      See Also:
        Constant Field Values

    - #### DOEVALUATE

          public static final java.lang.String DOEVALUATE

      Invoke a single evaluation of the service
      See Also:
        Constant Field Values

    - #### ADDPARSER

          public static final java.lang.String ADDPARSER

      Defines add parser method
      See Also:
        Constant Field Values

    - #### REMOVEPARSER

          public static final java.lang.String REMOVEPARSER

      Defines remove parser method
      See Also:
        Constant Field Values

    - #### ADDOBJECT

          public static final java.lang.String ADDOBJECT

      Defines add object method
      See Also:
        Constant Field Values

    - #### ADDROOTNODE

          public static final java.lang.String ADDROOTNODE

      Defines add root node method
      See Also:
        Constant Field Values

    - #### GETROOTNODES

          public static final java.lang.String GETROOTNODES

      Defines add root node method
      See Also:
        Constant Field Values

    - #### REMOVEROOTNODE

          public static final java.lang.String REMOVEROOTNODE

      Defines remove root node method
      See Also:
        Constant Field Values

    - #### GETSERVICENAMES

          public static final java.lang.String GETSERVICENAMES

      Defines get service names method
      See Also:
        Constant Field Values

    - #### GETSERVICETYPES

          public static final java.lang.String GETSERVICETYPES

      Defines get service types method
      See Also:
        Constant Field Values

    - #### GETSERVICENUMBER

          public static final java.lang.String GETSERVICENUMBER

      Defines get service number method
      See Also:
        Constant Field Values

    - #### SETDATA

          public static final java.lang.String SETDATA

      Defines set the service data method
      See Also:
        Constant Field Values

    - #### GETDATA

          public static final java.lang.String GETDATA

      Defines get service data method
      See Also:
        Constant Field Values

    - #### SETGENDATA

          public static final java.lang.String SETGENDATA

      Set the data generator data
      See Also:
        Constant Field Values

    - #### SETPROCESSSCRIPT

          public static final java.lang.String SETPROCESSSCRIPT

      Set the auto process script
      See Also:
        Constant Field Values

    - #### ADDSERVICEMETA

          public static final java.lang.String ADDSERVICEMETA

      Defines add service meta method
      See Also:
        Constant Field Values

    - #### GETALLSERVICEMETA

          public static final java.lang.String GETALLSERVICEMETA

      Defines get all service meta method
      See Also:
        Constant Field Values

    - #### GETSERVICEMETA

          public static final java.lang.String GETSERVICEMETA

      Defines get service meta method
      See Also:
        Constant Field Values

    - #### GETSERVICEMETAPART

          public static final java.lang.String GETSERVICEMETAPART

      Defines get service meta method
      See Also:
        Constant Field Values

    - #### GETSTATS

          public static final java.lang.String GETSTATS

      Defines get service meta method
      See Also:
        Constant Field Values

    - #### SETALLLINKTHRESHOLDS

          public static final java.lang.String SETALLLINKTHRESHOLDS

      Defines set all link threshold values method
      See Also:
        Constant Field Values

    - #### SETTHRESHOLDS

          public static final java.lang.String SETTHRESHOLDS

      Defines set threshold values method
      See Also:
        Constant Field Values

    - #### ADDDYNAMICLINKS

          public static final java.lang.String ADDDYNAMICLINKS

      Defines add dynamic links method
      See Also:
        Constant Field Values

    - #### ADDDYNAMICLINK

          public static final java.lang.String ADDDYNAMICLINK

      Defines add dynamic link method
      See Also:
        Constant Field Values

    - #### GETLINKSOURCES

          public static final java.lang.String GETLINKSOURCES

      Defines get linked sources method
      See Also:
        Constant Field Values

    - #### DYNAMICLINKSTOXML

          public static final java.lang.String DYNAMICLINKSTOXML

      Defines convert dynamic links to xml method
      See Also:
        Constant Field Values

    - #### PERMANENTLINKSTOXML

          public static final java.lang.String PERMANENTLINKSTOXML

      Defines convert permanent links to xml method
      See Also:
        Constant Field Values

    - #### XMLTODYNAMICLINKS

          public static final java.lang.String XMLTODYNAMICLINKS

      Defines parse xml to dynamic links method
      See Also:
        Constant Field Values

    - #### INCREMENTUPDATEHITS

          public static final java.lang.String INCREMENTUPDATEHITS

      Defines increment update hits method
      See Also:
        Constant Field Values

    - #### MEMORYTOLEND

          public static final java.lang.String MEMORYTOLEND

      Defines memory to lend method
      See Also:
        Constant Field Values

    - #### CHANGELENTMEMORY

          public static final java.lang.String CHANGELENTMEMORY

      Defines change lent memory method
      See Also:
        Constant Field Values

    - #### GETCURRENTCOUNT

          public static final java.lang.String GETCURRENTCOUNT

      Defines get current count method
      See Also:
        Constant Field Values

    - #### GETCURRENTMEMORY

          public static final java.lang.String GETCURRENTMEMORY

      Defines get current memory method
      See Also:
        Constant Field Values

    - #### RELEASEMEMORY

          public static final java.lang.String RELEASEMEMORY

      Defines get release memory method
      See Also:
        Constant Field Values

    - #### UPDATEINCREMENTWEIGHT

          public static final java.lang.String UPDATEINCREMENTWEIGHT

      Defines update increment weight method
      See Also:
        Constant Field Values

    - #### UPDATEDECREMENTWEIGHT

          public static final java.lang.String UPDATEDECREMENTWEIGHT

      Defines update decrement weight method
      See Also:
        Constant Field Values

    - #### HASLINKTO

          public static final java.lang.String HASLINKTO

      Defines has link to method
      See Also:
        Constant Field Values

    - #### GETPARENT

          public static final java.lang.String GETPARENT

      Defines get parent method
      See Also:
        Constant Field Values

    - #### GETPASSWORD

          public static final java.lang.String GETPASSWORD

      Defines get password method
      See Also:
        Constant Field Values

    - #### ADDPACKETCOMMUNICATIONID

          public static final java.lang.String ADDPACKETCOMMUNICATIONID

      Defines add id for packet communication method
      See Also:
        Constant Field Values

    - #### ADDMESSAGEPACKET

          public static final java.lang.String ADDMESSAGEPACKET

      Defines add message packet method
      See Also:
        Constant Field Values

    - #### ENDOFMESSAGE

          public static final java.lang.String ENDOFMESSAGE

      Defines add message packet method
      See Also:
        Constant Field Values

    - #### REMOVEALLLINKSTO

          public static final java.lang.String REMOVEALLLINKSTO

      Defines remove all links to method
      See Also:
        Constant Field Values

    - #### ADDSERVICEASSOCIATION

          public static final java.lang.String ADDSERVICEASSOCIATION

      Defines add service association method
      See Also:
        Constant Field Values

    - #### REMOVESERVICEASSOCIATION

          public static final java.lang.String REMOVESERVICEASSOCIATION

      Defines remove service association method
      See Also:
        Constant Field Values

    - #### CREATEPERMANENTLINKTO

          public static final java.lang.String CREATEPERMANENTLINKTO

      Defines create permanent link to method
      See Also:
        Constant Field Values

    - #### REMOVEPERMANENTLINKTO

          public static final java.lang.String REMOVEPERMANENTLINKTO

      Defines create permanent link to method
      See Also:
        Constant Field Values

    - #### ADDLINKFROMSERVICE

          public static final java.lang.String ADDLINKFROMSERVICE

      Defines add link from service method
      See Also:
        Constant Field Values

    - #### REMOVELINKFROMSERVICE

          public static final java.lang.String REMOVELINKFROMSERVICE

      Defines remove link from service method
      See Also:
        Constant Field Values

    - #### UPDATEDYNAMICLINKS

          public static final java.lang.String UPDATEDYNAMICLINKS

      Defines update dynamic links method
      See Also:
        Constant Field Values

    - #### DYNAMICLINKSTOPERMANENT

          public static final java.lang.String DYNAMICLINKSTOPERMANENT

      Defines change dynamic links to permanent ones method
      See Also:
        Constant Field Values

    - #### LOADDATACONTENTS

          public static final java.lang.String LOADDATACONTENTS

      Defines load data contents method
      See Also:
        Constant Field Values

    - #### LOADDATADETAILS

          public static final java.lang.String LOADDATADETAILS

      Defines load data details method
      See Also:
        Constant Field Values

    - #### LOADDATASCRIPT

          public static final java.lang.String LOADDATASCRIPT

      Defines load data script method
      See Also:
        Constant Field Values

    - #### DATAXMLBM

          public static final java.lang.String DATAXMLBM

      Defines send data to behaviour mediator method
      See Also:
        Constant Field Values

    - #### DATAXMLDH

          public static final java.lang.String DATAXMLDH

      Defines send data to data hub method
      See Also:
        Constant Field Values

    - #### GETINFOELEMENT

          public static final java.lang.String GETINFOELEMENT

      Defines get info element method
      See Also:
        Constant Field Values

    - #### GETVALUE

          public static final java.lang.String GETVALUE

      Defines get value method
      See Also:
        Constant Field Values

    - #### GETFILE

          public static final java.lang.String GETFILE

      Defines get file method
      See Also:
        Constant Field Values

    - #### SAVEFILE

          public static final java.lang.String SAVEFILE

      Defines save file method
      See Also:
        Constant Field Values

    - #### GETJARFORSERVICE

          public static final java.lang.String GETJARFORSERVICE

      Defines get jar file for service method
      See Also:
        Constant Field Values

    - #### SAVESERVICEJAR

          public static final java.lang.String SAVESERVICEJAR

      Defines save service jar file method
      See Also:
        Constant Field Values

    - #### GET

          public static final java.lang.String GET

      HTTP Get method call
      See Also:
        Constant Field Values

    - #### POST

          public static final java.lang.String POST

      HTTP Post method call
      See Also:
        Constant Field Values

    - #### HEAD

          public static final java.lang.String HEAD

      HTTP Header method section
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MethodConst

          public MethodConst()

      Creates a new instance of MethodConst